classification
Title: Removal of OS/2 support
Type: Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jcea Nosy List: Arfrever, haypo, jcea, python-dev
Priority: normal Keywords:

Created on 2012-10-04 22:20 by jcea, last changed 2014-03-01 12:53 by python-dev. This issue is now closed.

Messages (18)
msg172000 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-10-04 22:20
According to PEP-11, We have to remove OS/2 support for 3.4.
msg172004 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-10-04 22:35
I first proposed to drop OS/2 support in 2010. Andrew MacIntyre ported Python 2 to OS/2, he answered me:
"The 3.x branch needs quite a bit of work on OS/2 to 
deal with Unicode, as OS/2 was one of the earlier OSes with full 
multiple language support and IBM developed a unique API.  I'm still 
struggling to come to terms with this, partly because I myself don't 
"need" it."
Full answer:
http://mail.python.org/pipermail/python-dev/2010-April/099477.html

Thread in 2010:
http://mail.python.org/pipermail/python-dev/2010-April/099471.html

Thread in 2011:
http://mail.python.org/pipermail/python-dev/2011-April/110872.html
msg172006 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-10-04 22:36
See also:
http://blog.python.org/2011/05/python-33-to-drop-support-for-os2.html
msg172018 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-04 23:05
New changeset ffc6e6b00949 by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (I)
http://hg.python.org/cpython/rev/ffc6e6b00949
msg172020 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-04 23:11
New changeset b08416a31d15 by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (Docs)
http://hg.python.org/cpython/rev/b08416a31d15
msg172025 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-10-04 23:22
Most of the OS/2 specific code in the C part: search PYOS_OS2.
msg172027 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-04 23:48
New changeset 29155fa21a41 by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (posixmodule y platform dependent files)
http://hg.python.org/cpython/rev/29155fa21a41
msg172028 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-10-04 23:50
Victor, I am removing the support step by step, because I am monitoring the buildbots. Thanks for taking an eye on this.
msg172031 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-05 00:11
New changeset dea15868963f by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (Modules/*)
http://hg.python.org/cpython/rev/dea15868963f
msg172034 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-05 00:27
New changeset 42c063b3821f by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (C code and Docs)
http://hg.python.org/cpython/rev/42c063b3821f
msg172037 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-05 01:16
New changeset d853354e1470 by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (Remove OS2 and OS/2 references)
http://hg.python.org/cpython/rev/d853354e1470

New changeset 15949f34e08f by Jesus Cea in branch 'default':
#16135: Removal of OS/2 support (Python code partial cleanup)
http://hg.python.org/cpython/rev/15949f34e08f
msg172038 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-05 01:38
New changeset 9ba1f113c3ec by Jesus Cea in branch 'default':
Closes #16135: Removal of OS/2 support
http://hg.python.org/cpython/rev/9ba1f113c3ec
msg172039 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-10-05 01:39
I am leaving alone "distutils", "zlib" and "libffi", because I think they are external projects. is that OK?.
msg172249 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2012-10-06 21:45
distutils is not an external project.
msg172607 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-10 23:24
New changeset 147b9d530dd0 by Jesus Cea in branch 'default':
Closes #16135: Removal of OS/2 support (distutils)
http://hg.python.org/cpython/rev/147b9d530dd0
msg172608 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-10-10 23:26
Arfrever, thanks for telling me about "distutils".

Leaving "zlib" and "libffi" alone.
msg172609 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-10 23:56
New changeset e3e43287ad48 by Jesus Cea in branch 'default':
Closes #16135: Removal of OS/2 support (distutils) (II)
http://hg.python.org/cpython/rev/e3e43287ad48
msg212499 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-01 12:53
New changeset 5e05d7d3db9c by Andrew Kuchling in branch 'default':
#16135: remove mentions of OS/2 from the documentation
http://hg.python.org/cpython/rev/5e05d7d3db9c
History
Date User Action Args
2014-03-01 12:53:52python-devsetmessages: + msg212499
2012-10-10 23:56:14python-devsetmessages: + msg172609
2012-10-10 23:26:23jceasetmessages: + msg172608
2012-10-10 23:24:46python-devsetstatus: open -> closed
resolution: fixed
messages: + msg172607

stage: resolved
2012-10-06 21:45:23Arfreversetstatus: closed -> open

nosy: + Arfrever
messages: + msg172249

resolution: fixed -> (no value)
stage: resolved -> (no value)
2012-10-05 01:39:37jceasetmessages: + msg172039
2012-10-05 01:38:41python-devsetstatus: open -> closed
resolution: fixed
messages: + msg172038

stage: resolved
2012-10-05 01:16:00python-devsetmessages: + msg172037
2012-10-05 00:27:53python-devsetmessages: + msg172034
2012-10-05 00:11:49python-devsetmessages: + msg172031
2012-10-04 23:50:43jceasetmessages: + msg172028
2012-10-04 23:48:21python-devsetmessages: + msg172027
2012-10-04 23:22:50hayposetmessages: + msg172025
2012-10-04 23:11:23python-devsetmessages: + msg172020
2012-10-04 23:05:49python-devsetnosy: + python-dev
messages: + msg172018
2012-10-04 22:36:34hayposetmessages: + msg172006
2012-10-04 22:35:19hayposetnosy: + haypo
messages: + msg172004
2012-10-04 22:35:09jceasetassignee: jcea
2012-10-04 22:20:07jceacreate